#!/bin/sh

total=`sysctl hw.acpi.battery.time | awk '{ print $2 }'`
percentage=`sysctl hw.acpi.battery.life | awk '{ print $2 }'`
power=`sysctl hw.acpi.battery.state | awk '{ print $2 }'`

if [ $power != 1 ] 
 	then 
	if [ $percentage = 100 ]
		then
		echo "AC Power: Fully Charged" | osd_cat -p top -o 40 -A right --age=1 --font="-adobe-helvetica-bold-*-*-*-24-*-*-*-*-*-*-*" --indent=10
		else
		echo "AC Power Charging: $percentage%" | osd_cat -p top -o 40 -A right --age=1 --font="-adobe-helvetica-bold-*-*-*-24-*-*-*-*-*-*-*" --indent=10
		fi
else

	hours=`expr -e $total "/" 60`
	minutes=`expr -e $hours "*" 60`
	remainder=`expr -e $total "-" $minutes`
	output="Battery $percentage%:  $hours hours and $remainder minutes"

	echo $output | osd_cat -p top -o 40 -A right --age=1 --font="-adobe-helvetica-bold-*-*-*-24-*-*-*-*-*-*-*" --indent=10
fi
